{ config, pkgs, ... }:

{
  programs = {
    adb.enable = pkgs.stdenv.isx86_64 && config.sbruder.full;
    bandwhich.enable = true;
    iotop.enable = true;
  };

  environment.systemPackages = with pkgs; [
    # top like tools
    bmon # network monitor
    mtr # interactive traceroute

    # batch processing/automation
    jq # sed for json

    # file tools
    dos2unix # convert CRLF (dos) or CR (classic mac) line endings to LF (unix)
    file # file type
    ncdu # interactive du
    rename # sed for filenames
    wget # download tool

    # network tools
    dnsutils # dig
    iperf
    iperf2 # bandwidth measurement tool
    nmap # port scanner
    vnstat # client for vnstatd

    # system tools
    lm_sensors # temperature sensors
    pciutils # lspci
    reptyr # move process to current terminal
    smartmontools # hard drive monitoring
    usbutils # lsusb

    # eye candy
    ccze # log coloriser
  ];
}
