function pass-field() {
    pass show "$1" | grep "$2" | cut -d: -f2- | tr -d ' '
}

function drone() (
    export DRONE_SERVER="$(pass-field sbruder.de/drone Server)"
    export DRONE_TOKEN="$(pass sbruder.de/drone | head -n 1)"
    command drone $@
)

function drone-add-registry() {
    drone secret add --name docker_username --data simon "$1"
    drone secret add --name docker_password --data "$(pass sbruder.de/account | head -n 1)" "$1"
}

function drone-add-netlify() {
    drone secret add --name netlify_auth_token --data "$(pass-field web/netlify.com Drone-Key)" "$1"
}

function drone-add-s3() {
    drone secret add --name aws_access_key_id --data "$(pass-field sbruder.de/minio/personal User)" "$1"
    drone secret add --name aws_secret_access_key --data "$(pass sbruder.de/minio/personal | head -n 1)" "$1"
}

function docker-ls() (
    export DOCKER_LS_PASSWORD="$(pass sbruder.de/account | head -n 1)"
    command docker-ls $@
)

function docker-rm() (
    export DOCKER_LS_PASSWORD="$(pass sbruder.de/account | head -n 1)"
    command docker-rm $@
)

function nixpkgs-review() (
    export GITHUB_TOKEN="$(pass web/github.com/pat/nixpkgs-review)"
    command nixpkgs-review $@
)
